Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaee5
Interface LifecycleCallbackType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  LifecycleCallbackTypeImpl

    public interface LifecycleCallbackType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `lifecycle-callbackType` xsd type

Original Documentation:

The lifecycle-callback type specifies a method on a
class to be called when a lifecycle event occurs.
Note that each class may have only one lifecycle callback
method for any given event and that the method may not
be overloaded.
If the lifefycle-callback-class element is missing then
the class defining the callback is assumed to be the
component class in scope at the place in the descriptor
in which the callback definition appears.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getLifecycleCallbackClass()` Returns the `lifecycle-callback-class` element
`java.lang.String` | `getLifecycleCallbackMethod()` Returns the `lifecycle-callback-method` element
`LifecycleCallbackType<T>` | `removeLifecycleCallbackClass()` Removes the `lifecycle-callback-class` element
`LifecycleCallbackType<T>` | `removeLifecycleCallbackMethod()` Removes the `lifecycle-callback-method` element
`LifecycleCallbackType<T>` | `setLifecycleCallbackClass(java.lang.String lifecycleCallbackClass)` If not already created, a new `lifecycle-callback-class` element with the given value will be created.
`LifecycleCallbackType<T>` | `setLifecycleCallbackMethod(java.lang.String lifecycleCallbackMethod)` If not already created, a new `lifecycle-callback-method` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setLifecycleCallbackClass

    LifecycleCallbackType<T> setLifecycleCallbackClass(java.lang.String lifecycleCallbackClass)

  If not already created, a new `lifecycle-callback-class` element with the given value will be created. Otherwise, the existing `lifecycle-callback-class` element will be updated with the given value.

  Returns:
    the current instance of `LifecycleCallbackType`

### removeLifecycleCallbackClass

    LifecycleCallbackType<T> removeLifecycleCallbackClass()

  Removes the `lifecycle-callback-class` element

  Returns:
    the current instance of `LifecycleCallbackType`

### getLifecycleCallbackClass

    java.lang.String getLifecycleCallbackClass()

  Returns the `lifecycle-callback-class` element

  Returns:
    the node defined for the element `lifecycle-callback-class`

### setLifecycleCallbackMethod

    LifecycleCallbackType<T> setLifecycleCallbackMethod(java.lang.String lifecycleCallbackMethod)

  If not already created, a new `lifecycle-callback-method` element with the given value will be created. Otherwise, the existing `lifecycle-callback-method` element will be updated with the given value.

  Returns:
    the current instance of `LifecycleCallbackType`

### removeLifecycleCallbackMethod

    LifecycleCallbackType<T> removeLifecycleCallbackMethod()

  Removes the `lifecycle-callback-method` element

  Returns:
    the current instance of `LifecycleCallbackType`

### getLifecycleCallbackMethod

    java.lang.String getLifecycleCallbackMethod()

  Returns the `lifecycle-callback-method` element

  Returns:
    the node defined for the element `lifecycle-callback-method`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD